Bug 250042 - sysutils/patchelf: Update to 0.12
Summary: sysutils/patchelf: Update to 0.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL: https://github.com/NixOS/patchelf/com...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-10-02 06:34 UTC by daniel.engberg.lists
Modified: 2020-11-29 18:13 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (wg)


Attachments
Patch for patchelf (1.31 KB, patch)
2020-10-02 06:34 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-10-02 06:34:16 UTC
Created attachment 218461 [details]
Patch for patchelf

Update patchelf to 0.12
Use release archive as suggested by section 5.4.3 in Porter's Handbook.

Tested on FreeBSD 13.0-CURRENT #0 r364979 (amd64) (make + make check-plist + make test)
Poudriere testport OK 12.1-RELEASE (amd64)
Comment 1 Automation User 2020-10-17 00:04:13 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/203821751
Comment 2 daniel.engberg.lists 2020-10-25 13:59:52 UTC
Friendly ping
Comment 3 commit-hook freebsd_committer 2020-11-29 18:12:50 UTC
A commit references this bug:

Author: mikael
Date: Sun Nov 29 18:12:23 UTC 2020
New revision: 556595
URL: https://svnweb.freebsd.org/changeset/ports/556595

Log:
  sysutils/patchelf: Update to 0.12

  Changes: https://github.com/NixOS/patchelf/compare/0.11...0.12

  PR:		250042
  Submitted by:	daniel.engberg.lists@pyret.net
  Approved by:	wg (maintainer timeout)

Changes:
  head/sysutils/patchelf/Makefile
  head/sysutils/patchelf/distinfo
Comment 4 Mikael Urankar freebsd_committer 2020-11-29 18:13:08 UTC
Thanks!